unit gfgeraBrl;

interface
uses dvcrt, dvwin, dvform, sysutils, graphics,
     gfmsg, gfvars, gfbraille;

function produzCaracBraille (c: char; xt, yt: integer): integer;

implementation

function produzCaracBraille (c: char; xt, yt: integer): integer;
// retorna a largura da letra produzida
var
    i: integer;
    cod: integer;
    x, y, dxp, dyp, dxl: integer;
begin
    if (c < #$20) or (c > #$7f) then c := #$20;

    cod := AMBCodeParaPontos (c);

    if saidaGrafica = paraTela then  // provisrio
        begin
            dxp := 6;
            dyp := 6;
            dxl := 20;
        end
    else
        begin
            dxp := 1;
            dyp := 1;
            dxl := 3;
        end;

    x := xt;
    y := yt - 2*dyp;
    with FGrafico.Canvas do
        for i := 0 to 5 do
            begin
                 if (cod and (1 shl i)) <> 0 then
                     begin
                         pixels[x, y] := clBlack;
                         if saidaGrafica = paraTela then
                             begin
                                 pixels[x,   y+1] := 1;
                                 pixels[x+1, y]   := 1;
                                 pixels[x+1, y+1] := 1;
                             end;
                     end;

                 if i = 2 then
                     begin
                        x := xt + dxp;
                        y := yt - 2*dyp;
                     end
                 else
                     y := y + dyp;
            end;

    result := dxl;
end;

end.
