{--------------------------------------------------------}
{                                                        }
{    Grafivox - gerador de grficos para cegos           }
{                                                        }
{    Mdulo de variveis globais                         }
{                                                        }
{    Autor:  Jos Antonio Borges                         }
{                                                        }
{    Em agosto/2018                                      }
{                                                        }
{--------------------------------------------------------}

unit gfvars;

interface

uses dvWin, classes, graphics;

const
    versao = '1.0 alfa';

type
    TSaida = (paraBraille, paraTinta, paraTela);

var
    nomeArq: string;
    FGrafico: TBitmap;           // imagem grfica gerada pelo programa

    listaComandos: TStringList;

    xMaxBraille: integer = 132;  // tem que ser mltiplo de 2
    yMaxBraille: integer = 132;  // tem que ser mltiplo de 3

    xMaxPrinter: integer;
    yMaxPrinter: integer;

    saidaGrafica: TSaida;
    gravacaoPendente: boolean;

    numDados: integer;
    dadosx, dadosy: array [0..1024] of real;

implementation

end.
